### Method

# Gtk Revealerset_transition_type

#### Declaration [src]

    void
    gtk_revealer_set_transition_type (
      GtkRevealer* revealer,
      GtkRevealerTransitionType transition
    )

#### Description [src]

Sets the type of animation that will be used for transitions in `revealer`.

Available types include various kinds of fades and slides.

Sets property | `Gtk.Revealer:transition-type`

#### Parameters

`transition`

  Type: `GtkRevealerTransitionType`

  The new transition type.